Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.client
Class InteractiveClient.ProgressObserver

    java.lang.Object
      org.exist.client.InteractiveClient.ProgressObserver

All Implemented Interfaces:
  java.util.Observer

Enclosing class:
  InteractiveClient

public static class InteractiveClient.ProgressObserver
extends java.lang.Object
implements java.util.Observer

Constructor Summary
`InteractiveClient.ProgressObserver()`

Method Summary
`void` | `update(java.util.Observable o, java.lang.Object obj)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InteractiveClient.ProgressObserver

    public InteractiveClient.ProgressObserver()

Method Detail

### update

    public void update(java.util.Observable o,
                       java.lang.Object obj)

  Specified by:
    `update` in interface `java.util.Observer`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.